%define lib_name %mklibname %{name} %{lib_major}
%define lib_major 15
%define ver_major 0.60

Summary:       A Free and Open Source interactive spelling checker program
Name:          aspell
Version:       0.60.3
Release:       %mkrel 2
Group:         Text tools
Source0:       ftp://ftp.gnu.org/gnu/aspell/%{name}-%{version}.tar.bz2
URL:           http://aspell.net/
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
License:       LGPL
BuildRequires: automake1.8

# Mandrake Stuff.
Requires:      aspell-dictionary
Requires:      %{lib_name} = %{version}-%{release}

%description
GNU Aspell is a Free and Open Source spell checker designed to eventually 
replace Ispell. It can either be used as a library or as an independent 
spell checker. 
Its main feature is that it does a much better job of coming up with possible 
suggestions than just about any other spell checker out there for the English 
language, including Ispell and Microsoft Word. It also has many other technical 
enhancements over Ispell such as using shared memory for dictionaries and 
intelligently handling personal dictionaries when more than one Aspell process 
is open at once. 


%package -n %{lib_name}
Group:          Text tools
Summary:        Shared library files for aspell

%description -n %{lib_name}
Shared library files for the aspell package.

%package -n %{lib_name}-devel
Group:          Development/Other
Summary:        Development files for aspell
Requires:       %{name} = %{version}-%{release}
Requires:		%{lib_name} = %{version}-%{release}
Provides:       libaspell-devel = %{version}-%{release}
Provides:		aspell-devel = %{version}-%{release}
Obsoletes:      aspell-devel
Conflicts:		libpspell4-devel

%description -n %{lib_name}-devel
Development headers, and files for development from the aspell package.

%prep
%setup -q
#update build environment for x86-64
#aclocal-1.8   # running aclocal fails; maybe some missing files? (pablo)
autoconf

%build

%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# multiarch policy
%multiarch_binaries $RPM_BUILD_ROOT%{_bindir}/pspell-config

%find_lang %{name}

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc README TODO manual 
%{_bindir}/aspell*
%{_bindir}/run-with-aspell
%{_bindir}/word-list-compress
%{_bindir}/precat
%{_bindir}/preunzip
%{_bindir}/prezip
%{_bindir}/prezip-bin
%{_libdir}/aspell-%{ver_major}
%doc %{_datadir}/info/aspell*
%doc %{_mandir}/man1/*.1*

%files -n %{lib_name}
%defattr(-, root, root)
%{_libdir}/lib*.so.*

%files -n %{lib_name}-devel
%defattr(-, root, root)
%{_bindir}/pspell-config
%multiarch %{multiarch_bindir}/pspell-config
%{_includedir}/*
%{_libdir}/libaspell.so
%{_libdir}/libpspell.so
%{_libdir}/lib*.la


%changelog
* Wed Aug 10 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.60.3-2mdk
- fix rpmlint errors ( dot ended summary ) 

* Tue Jun 28 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.60.3-1mdk
- new release

* Fri Feb 25 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.60.2-2mdk
- multiarch

* Mon Dec 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.60.2-1mdk
- 0.60.2

* Wed Dec 01 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 0.60.1.1-1mdk
- updated version

* Thu Sep 02 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.50.5-3mdk
- Enable libtoolize
- Remove patch0, regenerate build environment instead

* Thu Jun  3 2004 Laurent Montel <lmontel@mandrakesoft.com> 0.50.5-2mdk
- Rebuild against new gcc

* Thu May 13 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.50.5-1mdk
- Release 0.50.5
- Regenreate patch0 (partially merged)

* Thu May 13 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.50.4.1-2mdk
- Rebuild

* Mon Mar  8 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.50.4.1-1.2mdk
- really fix amd64 build

* Mon Mar  1 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.50.4.1-1.1mdk
- amd64 build fixes

* Mon Dec 15 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.50.4.1-1mdk
- Release 0.50.4.1
- remove patch0 (merged upstream)
- Fix license (LGPL, not GPL)

* Tue Jul 15 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.50.3-3mdk
- Rebuild for latest provides
- mklibnamification

* Thu Jul  3 2003 Frederic Lepied <flepied@mandrakesoft.com> 0.50.3-2mdk
- rebuild

* Sun Nov 24 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.50.3-1mdk
- 0.50.3

* Wed Oct 30 2002 Stefan van der Eijk <stefan@eijk.nu> 0.50.2-2mdk
- BuildRequires: autoconf2.5

* Thu Oct 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.50.2-1mdk
- Release 0.50.2 (merged with pspell)
- Remove dictionnary subpackages, they are no longer generated by aspell main 
package 
- Remove patch0 (merged upstream)

* Tue Aug 13 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0%{src_ver}-7mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Wed Jul 31 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.33.7.1-6mdk
- Use %%configure2_5x macro

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.33.7.1-5mdk
- Automated rebuild with gcc3.2

* Wed May 22 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.33.7.1-4mdk
- Automated rebuild with gcc 3.1-1mdk

* Tue Jan 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> .33.7.1-3mdk
- Patch0: fix2 patch from authors (thanks to tv for notifying)

* Wed Nov  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.33.7.1-2mdk
- Fix pspell directory

* Mon Aug 20 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.33.7.1-1mdk
- Release .33.7.1

* Thu Aug 16 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.33.7-2mdk
- Move pspell .la files in main package (fix pspell support)

* Thu Aug  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.33.7-1mdk
- Release .33.7
- Remove patch0 (merged upstream)

* Fri Jul 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.33.6.3-2mdk
- Patch0: official fix for gcc and some charset errors
- clean specfile

* Fri Jun 29 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.33.6.3-1mdk
- Release .33.6.3

* Sat Jun 16 2001 Stefan van der Eijk <stefan@eijk.nu> 0.33.6-5mdk
- BuildRequires: libtool-devel

* Sat Jun  2 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 0.33.6-4mdk
- Use configure macro on non-x86, move configure step to %%build
- New packages libaspell, libaspell-devel for library policy
- Re-zip source with bzip2 not gzip

* Sat May 26 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.33.6-3mdk
- rebuild on new environment

* Thu May 24 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.33.6-2mdk
- rebuild and included docs

* Fri May 18 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.33.6-1mdk
- updated and rebuild against new libpspell

* Thu Jan 18 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.32.5-4mdk
- build release

* Fri Nov 17 2000 David BAUDENS <baudens@mandrakesoft.com> 0.32.5-3mdk
- Fix Requires and BuildRequires

* Wed Sep 20 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.32.5-2mdk
- Provides pwli files (Thanks Michael Reinsch)

* Fri Aug 25 2000 Troels Liebe Bentsen 0.32.5-1mdk
- Updated to new version.
- Added packages en, en_CA, en_GB

* Thu Aug 24 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.32.1-1mdk
- release 0.32.1 (merge from helix 0_helix_1)
- BM + macroszification

* Thu Jan 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 28.3-1mdk
- v28.3 

* Fri Aug 27 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- initial spec
